package com.bonus.common.security.utils;

import com.alibaba.fastjson2.filter.SimplePropertyPreFilter;

/**
 * 排除JSON敏感属性
 *
 * @author bonus
 */
public class PropertyPreExcludeFilter2 extends SimplePropertyPreFilter
{
    public PropertyPreExcludeFilter2()
    {
    }

    public PropertyPreExcludeFilter2 addExcludes(String... filters)
    {
        for (int i = 0; i < filters.length; i++)
        {
            this.getExcludes().add(filters[i]);
        }
        return this;
    }
}
